Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Cuireadh an snáithe seo sa chartlann. Cuir ceist nua má tá cabhair uait.

I can see firefox 3.6.16 in Applications on my Mac but from the top bar the dropdown Firefox menu says I have 3.6.10. What do I do to run and use 3.16.3?

  • 9 bhfreagra
  • 3 leis an bhfadhb seo
  • 2 views
  • Freagra is déanaí ó robert55

more options

If I can see 3 6 16 it means I assume I have downloaded it but the fact that I am not running it means what? That I havent installed it? How do i now install it? Must be simple.

Réiteach roghnaithe

Download a new copy of the Firefox program:

  • Trash the current Firefox application to do a clean (re-)install
  • Install the new version that you have downloaded

Your profile data is stored elsewhere in the Firefox Profile Folder, so you won't lose your bookmarks and other personal data.

Read this answer in context 👍 0

All Replies (9)

more options

I am not a Mac user. And iirc you can not easily run multiple versions in a Mac, but your problem seems to be merely that you have not updated a single version. I would have thought Firefox could be set to do that automatically. Maybe a Mac user will help, meanwhile does this help: How to fix the Update Failed error message when updating Firefox

I would also point out that a new version Firefox 4 has been released recently, but note some users find incompatibilities with the new version and existing extensions, or problems with the new hardware acceleration, although if the new Firefox 4 is problematic see

more options

Thanks John99. You are probably right but all i did was in answer yes to a popup from firefox asking if i wanted to download the latest version. I was never asked to install or run it but clearly it is on my hd and the previous version is not though that is the version stated in the About Mozilla Firefox box on the dropdown menu from Firefox at the top. There must be an esay solution.

more options

You appear to have Firefox 3.6.10 installed and in use, so therefore presumably on your hdd.

Without upgrading to the newest major version firefox 4, the latest version available is Firefox 3.6.16 , with Firefox 3.6.17 being the next one; scheduled I believe, for 26th April. So to be up-to-date with Firefox 3.6 you should be trying to upgrade to 3.6.16, which I understand you have already downloaded.

First of all try an automatic upgrade by using:

If you are unable to get the upgrade to work you can always just do an install of Firefox 3.6.16. BUT please do NOT use the option that says something along the lines of remove settings, if you do you are likely to loose important stored information, including passwords and bookmarks.

more options

Réiteach Roghnaithe

Download a new copy of the Firefox program:

  • Trash the current Firefox application to do a clean (re-)install
  • Install the new version that you have downloaded

Your profile data is stored elsewhere in the Firefox Profile Folder, so you won't lose your bookmarks and other personal data.

more options

Thank you john99 and cor-el. Would you recommend 4.0 or stick with 3.6.16?

more options

There is another possibility install both, but that may be an unnecessary complication.

Unless you expect to have compatibility problems you may as well go for Firefox 4, if you do experience problems it is easy to downgrade again. Now that Firefox is using rapid release cycles the support for 3.6 may not last as long as may be expected.

Personally I still use 3.6 for some things, but also have Firefox 4 and Firefox5a available.

more options

why stay wid 3.6 wen 4 is out......

Athraithe ag Anonymous ar

more options

@ammar.sakarwala, I am replying using 5.0 , and possibly a reason to stay wid 3.6 wen 4 is out is that Firefox 4 may have compatibility issues with some extensions. Other problems include the html5 parser and the hardware acceleration so it is quite feasible that some users may wish to opt for staying with Firefox 3.6 rather than using 4.0.

more options

I have now put the old version in trash & installed 3.6.16. & have noticed the difference already. Thank you.Maybe I'll move on to 4 in due course